# BusinessClassBuilder Class Reference
[Class builders]

Inheritance diagram for BusinessClassBuilder:
[legend]

List of all members.

## Static Public Member Functions

static | build (MetaClass $class)

## Detailed Description

Definition at line 15 of file BusinessClassBuilder.class.php.

## Member Function Documentation

static BusinessClassBuilder::build | ( | MetaClass $ | class | ) | `[static]`

Returns:
  {$daoName}
  {$class->getName()}
  {$class->getName()}
  {$protoName}

Reimplemented from BaseBuilder.

Definition at line 17 of file BusinessClassBuilder.class.php.

References MetaClassType::CLASS_ABSTRACT, MetaClass::getFinalParent(), OnceBuilder::getHead(), Singleton::getInstance(), MetaClass::getName(), MetaClass::getPattern(), and MetaClass::getType().

Referenced by BasePattern::buildBusiness().

Here is the call graph for this function:

The documentation for this class was generated from the following file:

- meta/builders/BusinessClassBuilder.class.php